<?php
namespace frontend\models;

use common\models\User;
use yii\base\Model;
use Yii;

/**
 * Signup form
 */
class SignupForm extends Model
{
    public $username;
    public $email;
    public $password;
    public $nom;
    public $prenom;
    public $telephone;

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            /*['username', 'filter', 'filter' => 'trim'],
            ['username', 'required'],
            ['username', 'unique', 'targetClass' => '\common\models\User', 'message' => 'Cet identifiant est déjà utilisé'],
            ['username', 'string', 'min' => 2, 'max' => 255],*/

            ['email', 'filter', 'filter' => 'trim'],
            ['email', 'required','message'=>'Champs obligatoire'],
            ['email', 'email'],
            ['email', 'unique', 'targetClass' => '\common\models\User', 'message' => 'Cet email est déjà utilisé'],

            ['nom','required','message'=>'Champs obligatoire'],
            ['nom', 'string', 'min' => 2, 'max' => 255],
            
            ['prenom','required','message'=>'Champs obligatoire'],
            ['prenom', 'string', 'min' => 2, 'max' => 255],
            
            ['telephone','required','message'=>'Champs obligatoire'],
            ['telephone', 'string', 'min' => 2, 'max' => 255, 'message'=>'Bada'],
            
            ['password', 'required','message'=>'Champs obligatoire'],
            ['password', 'string', 'min' => 6, 'tooShort' => 'Votre mot de passe doit contenir au moins 6 caractères'],
        ];
    }

    /**
     * Signs user up.
     *
     * @return User|null the saved model or null if saving fails
     */
    public function signup()
    {
        if ($this->validate()) {
            $user = new User();
            //$user->username = $this->username;
            $user->username = $this->email;
            $user->email = $this->email;
            $user->nom = $this->nom ;
            $user->prenom = $this->prenom ;
            $user->telephone = $this->telephone ;
            $user->confiance = 1 ;
            $user->setPassword($this->password);
            $user->generateAuthKey();
            if ($user->save()) {
            	
// envoi d'un mail de confirmation
$message = "Bonjour,

Votre inscription sur le site du Chat des Noisette a bien été prise en compte !

Ce compte vous permet de passer vos commandes directement sur le site internet.

Si vous avez des questions, n'hésitez pas à me contacter.

À bientôt,
Matthieu" ;
            	Yii::$app->mailer->compose()
            		->setTo($user->email)
            		->setFrom(['matthieu@lechatdesnoisettes.com' => 'Matthieu Bourgeois'])
            		->setSubject("Votre inscription sur le site du Chat des Noisettes")
            		->setTextBody($message)
            		->send();
            	
                return $user;
            }
        }

        return null;
    }
    
    public function attributeLabels()
    {
    	return [
    	'id' => 'ID',
    	'username' => 'Identifiant',
    	'password' => 'Mot de passe',
    	'rememberMe' => 'Se souvenir de moi',
    	];
    }
}
