<?php
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use frontend\assets\AppAsset;
use frontend\widgets\Alert;

/* @var $this \yii\web\View */
/* @var $content string */

$is_home = (Yii::$app->controller->id == 'site' && Yii::$app->controller->action->id == 'index') ;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<head>
	<title><?php if($is_home): ?>Le Chat des Noisettes &bull; <?= Html::encode($this->title) ?> <?php else: ?><?= Html::encode($this->title) ?> &bull; Le Chat des Noisettes<?php endif; ?></title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<?php if($is_home): ?><meta name="description" content="Pains sur levain, à la farine de meule et au sel de Salins, cuits au feu de bois, à Déservillers." /><?php endif; ?>
    <?= Html::csrfMetaTags() ?>
	<link rel="icon" type="image/png" href="<?php echo Yii::$app->urlManager->getBaseUrl(); ?>/img/favicon2.png" />
	<!--[if IE]><link rel="shortcut icon" type="image/x-icon" href="./img/favicon.ico" /><![endif]-->
    <?php $this->head() ?>
    <!--[if lt IE 9]>
    	<script src="<?php echo Yii::$app->urlManager->getBaseUrl(); ?>/js/html5shiv.min.js"></script>
    	<link href="<?php echo Yii::$app->urlManager->getBaseUrl(); ?>/css/ie.css" rel="stylesheet">
	<![endif]-->
	<!--[if IE 7]>
		<link href="<?php echo Yii::$app->urlManager->getBaseUrl(); ?>/css/ie7.css" rel="stylesheet">
	<![endif]-->
</head>
<body class="<?php if($is_home): echo 'home' ; endif; ?><?php if(!Yii::$app->user->isGuest): ?> connected<?php endif; ?>">
	<?php $this->beginBody() ?>
		<div id="back"></div>
		<header id="header">
			<div class="container">
				<nav class="">
					<ul>
						<? //if($is_home): ?>					
							<li class="contact"><a href="<?php if(!$is_home): echo Yii::$app->urlManager->createUrl(['site/index']); endif; ?>#contact" data-toggle="tooltip" data-placement="bottom" title="Contact"><img class="icon" src="<?php echo Yii::$app->urlManager->getBaseUrl(); ?>/img/icon_53324.png" alt="" /><span>Contact</span></a></li>
							<li class="fournisseurs"><a href="<?php if(!$is_home): echo Yii::$app->urlManager->createUrl(['site/index']); endif; ?>#fournisseurs" data-toggle="tooltip" data-placement="bottom" title="Fournisseurs"><img class="icon" src="<?php echo Yii::$app->urlManager->getBaseUrl(); ?>/img/fournisseurs.png" alt="" /><span>Fournisseurs</span></a></li>
							<li class="methode"><a href="<?php if(!$is_home): echo Yii::$app->urlManager->createUrl(['site/index']); endif; ?>#methode" data-toggle="tooltip" data-placement="bottom" title="Méthode"><img class="icon" src="<?php echo Yii::$app->urlManager->getBaseUrl(); ?>/img/methode.png" alt="" /><span>Méthode</span></a></li>
							<li class="vrac"><a href="<?php if(!$is_home): echo Yii::$app->urlManager->createUrl(['site/index']); endif; ?>#vrac" data-toggle="tooltip" data-placement="bottom" title="Vrac"><img class="icon" src="<?php echo Yii::$app->urlManager->getBaseUrl(); ?>/img/vrac.png" alt="" /><span>Vrac</span></a></li>
							<li class="gamme"><a href="<?php if(!$is_home): echo Yii::$app->urlManager->createUrl(['site/index']); endif; ?>#gamme" data-toggle="tooltip" data-placement="bottom" title="Pains"><img class="icon" src="<?php echo Yii::$app->urlManager->getBaseUrl(); ?>/img/icon_67951.png" alt="" /><span>Gamme</span></a></li>
							<li class="points-vente"><a href="<?php if(!$is_home): echo Yii::$app->urlManager->createUrl(['site/index']); endif; ?>#points-vente" data-toggle="tooltip" data-placement="bottom" title="Points de vente"><img class="icon" src="<?php echo Yii::$app->urlManager->getBaseUrl(); ?>/img/icon_9667.png" alt="" /><span>Points de vente</span></a></li>
							<li class="first horaires"><a href="<?php if(!$is_home): echo Yii::$app->urlManager->createUrl(['site/index']); endif; ?>#horaires" data-toggle="tooltip" data-placement="bottom" title="Horaires"><img class="icon" src="<?php echo Yii::$app->urlManager->getBaseUrl(); ?>/img/icon_3020.png" alt="" /><span>Horaires</span></a></li>
						<? //endif; ?>		
						<li class="presentation" id="logo"><a href="<?php if(!$is_home): echo Yii::$app->urlManager->createUrl('site/index') ; else: echo '#presentation'; endif;?>"></a></li>
						<!--  <li class="first"><a href="#presentation">Présentation</a></li> -->
					</ul>
				</nav>
				<a href="<?php echo Yii::$app->urlManager->createUrl('commande/index'); ?>" id="link-commander" data-toggle="tooltip" data-placement="bottom" title="Commander">
					<img class="icon" src="<?php echo Yii::$app->urlManager->getBaseUrl(); ?>/img/order.png" alt="" />
					<!--<span class="glyphicon glyphicon-user"></span>-->
				</a>
				
			</div>
			
		</header>
		<div id="main">
		
                        <?php if(!Yii::$app->user->isGuest): ?>
                            
                            <div id="menu-user">
                                <div class="container">
                                <ul class="nav nav-pills">
                                    <li><a <?php if(Yii::$app->controller->id == 'commande' && Yii::$app->controller->action->id == 'index'): ?>class="active" <?php endif; ?>href="<?php echo Yii::$app->urlManager->createUrl('commande/index') ; ?>"><span class="glyphicon glyphicon-th-list"></span> Historique des commandes</a></li>
                                    <li><a <?php if(Yii::$app->controller->id == 'commande' && Yii::$app->controller->action->id == 'create'): ?>class="active" <?php endif; ?>href="<?php echo Yii::$app->urlManager->createUrl('commande/create') ; ?>"><span class="glyphicon glyphicon-plus"></span> Passer une commande</a></li>
                                    <li><a <?php if(Yii::$app->controller->id == 'user' && Yii::$app->controller->action->id == 'update'): ?>class="active" <?php endif; ?>href="<?php echo Yii::$app->urlManager->createUrl('user/update') ; ?>"><span class="glyphicon glyphicon-user"></span> Modifier mon profil</a></li>
                                    <!--<li><a <?php if(Yii::$app->controller->id == 'user' && Yii::$app->controller->action->id == 'credit'): ?>class="active" <?php endif; ?>href="<?php echo Yii::$app->urlManager->createUrl('user/credit') ; ?>"><span class="glyphicon glyphicon-euro"></span> Créditer mon compte</a></li>-->
                                    <li><a href="<?php echo Yii::$app->urlManager->createUrl('site/logout') ; ?>"><span class="glyphicon glyphicon-off"></span> Déconnexion (<?php echo Html::encode(Yii::$app->user->identity->prenom .' '.Yii::$app->user->identity->nom) ; ?>)</a></li>
                                </ul>
                                </div>
                            </div>
                        <?php endif;?>
                    
                    
			<section class="<?php if(!$is_home): ?>container<?php endif;?>" id="content">
				<?= $content ?>
			</section>
		</div>
		<footer id="footer">
			<div class="container">
				<a href="<?php echo Yii::$app->urlManager->createUrl('site/mentions') ; ?>">Mentions légales</a>
			</div>
		</footer>
	
	<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>
